;##################################
; Copyright (c) The AOW Team 2007 |
; Trixarian@Gmail.com             |
;##################################

alias getinfo { return $readini(players\ $+ $1 $+ .ini,$1,$2) }
alias GI { return $readini(gangs\ $+ $1 $+ .ini,GANG,$2) }
alias getplog { return $readini(playerlogs\ $+ $1 $+ .ini,$1,$2) }
alias getglog { return $readini(ganglogs\ $+ $1 $+ .ini,$1,$2) }
alias SETSTAT { writeini players\ $+ $nick $+ .ini $nick STAT $1 }
alias getstat { return $readini(players\ $+ $1 $+ .ini,$1,STAT) }
alias getCol {
  if ($1 == 1) { return 07 }
  elseif ($1 == 2) { return 03 }
  else { return 10 }
}

on *:LOAD:loadme
on *:UNLOAD:unloadme

dialog AOW_Setup {
  title "All-Out-War Defaults"
  size -1 -1 200 290
  edit %MainAdmin, 1, 5 18 190 20, autohs
  text "Main Server:", 2, 6 40 100 20
  edit %MainServer, 3, 5 58 190 20, autohs
  text "Bot Nickname:", 4, 6 80 100 20
  edit %Warname, 5, 5 98 190 20, autohs
  text "Game Channel:", 6, 6 120 100 20
  edit %Gamechan, 7, 5 138 190 20, autohs
  text "Admin Channel:", 8, 6 160 100 20
  edit %Adminchan, 9, 5 178 190 20, autohs
  text "ChanServ\NickServ Password:", 10, 6 200 150 20
  edit %40wChNiP455, 11, 5 218 190 20, autohs
  button "OK", 12, 5 252 60 30, ok
  button "Cancel", 13, 135 252 60 30, cancel
  box "Bot Owner\Main Admin:", 14, 0 1 200 290
}

on *:dialog:AOW_Setup:sclick:12: {
  writeini admin.ini admin $did(1).text 1
  %MainAdmin = $did(1).text
  %MainServer = $did(3).text
  %Warname = $did(5).text
  %Gamechan = $did(7).text
  %Adminchan = $did(9).text
  %40wChNiP455 = $did(11).text
  if (!%GameLoad) { %GameLoad = 1 | loadrest }
}

alias loadme {
  if (!%shutdown || %shutdown == YES ) { %shutdown = NO }
  if (!%midnight || %midnight == YES ) { %midnight = NO }
  if (!%news) { %news = Send Suggestions and Bugs reports to the e-mail provided within the game }
  if (!%%news.date) { %news.date = 29 April 2007 }
  if (!%most.users) { %most.users = 0 }
  if (!%MainAdmin) { %MainAdmin = Trixar_za }
  if (!%Mainserver) { %MainServer = irc.webcomm.co.za }
  if (!%Adminchan) { %Adminchan = #Aow }
  if (!%Gamechan) { %Gamechan = #All-out-war }
  if (!%Warname) { %Warname = WAR-GEN }
  if (!%40wChNiP455) { %40wChNiP455 = wargen }
  dialog -m AOW_Setup AOW_Setup
}

alias loadrest {
  var %warload = $findfile($scriptdir,*.mud,0)
  while (%warload) {
    load -rs $findfile($scriptdir,*.mud,%warload)
    dec %warload
  }
  wartimers
  dm_update
}

alias unloadme {
  var %warload = $findfile($scriptdir,*.mud,0)
  while (%warload) {
    unload -rs $findfile($scriptdir,*.mud,%warload)
    dec %warload
  }
  timers off
  unset %GameLoad
}

alias reloadme {
  var %warload = $findfile($scriptdir,*.mud,0)
  while (%warload) {
    reload -rs $findfile($scriptdir,*.mud,%warload)
    dec %warload
  }
  dm_update
  wartimers
}

alias wartimers {
  .timerdm_update 0 120 dm_update
  .timerUPDATE_ENERGY 0 1 update_energy_time
  .timerCHECK_WARTIME 0 1 check_war_time
  .timerUPDATE_GANG 0 60 WAR_UPDATE_GANGS
  .timerCHECK_PLAYERS 0 3600 CHECK_PLAYERS_ONLINE
  .timerCHECK_NAME 0 300 CHECK_NAME
  .timerLOTTERY 0 1 lottery_time
  .timerHORSE 0 1 HORSE_TIME
  .timerDRIVE 0 1 DRIVE_TIME
  .timerCAGE 0 1 CAGE_TIME
}
